org.deidentifier.arx.gui.view.impl.common.table

## Class DataProviderWrapped

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.table.DataProviderWrapped

All Implemented Interfaces:
  CTDataProvider, org.eclipse.nebula.widgets.nattable.data.IDataProvider

    public class DataProviderWrapped
    extends java.lang.Object
    implements CTDataProvider

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DataProviderWrapped()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `getColumnCount()`
`java.lang.Object` `getDataValue(int columnIndex, int rowIndex)`
`int` `getRowCount()`
`void` `setData(org.eclipse.nebula.widgets.nattable.data.IDataProvider data)`
`void` `setDataValue(int columnIndex, int rowIndex, java.lang.Object newValue)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataProviderWrapped

    public DataProviderWrapped()

### Method Detail

#### clear

    public void clear()

Specified by:
  `clear` in interface `CTDataProvider`

#### getColumnCount

    public int getColumnCount()

Specified by:
  `getColumnCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

#### getDataValue

    public java.lang.Object getDataValue(int columnIndex,
                                         int rowIndex)

Specified by:
  `getDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

#### getRowCount

    public int getRowCount()

Specified by:
  `getRowCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

#### setData

    public void setData(org.eclipse.nebula.widgets.nattable.data.IDataProvider data)

Specified by:
  `setData` in interface `CTDataProvider`

#### setDataValue

    public void setDataValue(int columnIndex,
                             int rowIndex,
                             java.lang.Object newValue)

Specified by:
  `setDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`